org.eclipse.actf.model.dom.dombycom

## Class DombycomPlugin

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.actf.model.dom.dombycom.DombycomPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public class DombycomPlugin
    extends Plugin

The main plugin class to be used in the desktop.

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`DombycomPlugin()` The constructor.

### Method Summary

Methods
`static DombycomPlugin` `getDefault()` Returns the shared instance.
`void` `start(org.osgi.framework.BundleContext context)` This method is called upon plug-in activation
`void` `stop(org.osgi.framework.BundleContext context)` This method is called when the plug-in is stopped

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DombycomPlugin

    public DombycomPlugin()

The constructor.

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws Exception

This method is called upon plug-in activation

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `Plugin`
Throws:
  `Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

This method is called when the plug-in is stopped

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `Plugin`
Throws:
  `Exception`

#### getDefault

    public static DombycomPlugin getDefault()

Returns the shared instance.